### Method

# FwupdPlugin Plugin cache_remove

since: 0.8.0

#### Declaration [src]

    void
    fu_plugin_cache_remove (
      FuPlugin* self,
      const gchar* id
    )

#### Description [src]

Removes an object from the per-plugin cache.

Available since: 0.8.0

#### Parameters

`id`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.